> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/files/list-files.md).

# List Files

List all files attached to a conversation.

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"security":[{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"/api/v1/login/access-token"}}}},"schemas":{"FileResponseSchema":{"properties":{"uuid":{"type":"string","format":"uuid","title":"Uuid"},"organisation_id":{"type":"integer","title":"Organisation Id"},"conversation_id":{"type":"integer","title":"Conversation Id"},"original_filename":{"type":"string","title":"Original Filename"},"content_type":{"type":"string","title":"Content Type"},"file_size":{"type":"integer","title":"File Size"},"created_by":{"type":"string","format":"uuid","title":"Created By"},"message_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Message Id"},"created_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created At"}},"type":"object","required":["uuid","organisation_id","conversation_id","original_filename","content_type","file_size","created_by"],"title":"FileResponseSchema","description":"Pydantic schema for uploaded file response."}}},"paths":{"/api/v1/conversations/{conversation_id}/files/":{"get":{"tags":["files","public"],"summary":"List Files","description":"List all files attached to a conversation.","operationId":"files-list_files","parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"integer","title":"Conversation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileResponseSchema"},"title":"Response Files-List Files"}}}},"401":{"description":"User not authenticated","content":{"application/json":{}}},"403":{"description":"User lacks permission","content":{"application/json":{}}},"404":{"description":"Resource not found or user has no permission to access it","content":{"application/json":{}}}}}}}}
```
